using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;
using 智慧物流软件系统.ViewModel;

namespace 智慧物流软件系统
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : HandyControl.Controls.Window
    {
        public static MainViewModel viewModel = new MainViewModel();
        public MainWindow()
        {
            if (!viewModel.InitAgo())
            {
                this.Close();
                System.Environment.Exit(0);
            }

            InitializeComponent();

            viewModel.Init(this);
            this.DataContext = viewModel;
        }

        private void load(object sender, RoutedEventArgs e)
        {

        }
    }
}
